# Visualization
TKV3d
SelectMgr

# SelectMgr_DataMapNodeOfDataMapOfSelectionActivation Class Reference

`#include <SelectMgr_DataMapNodeOfDataMapOfSelectionActivation.hxx>`

## Public Member Functions

| SelectMgr_DataMapNodeOfDataMapOfSelectionActivation (const Handle(SelectMgr_Selection)&K, const Standard_Integer &I, const TCollection_MapNodePtr &n)
Handle_SelectMgr_Selection & | Key () const
Standard_Integer & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_SelectMgr_Selection | myKey
Standard_Integer | myValue

## Constructor & Destructor Documentation

SelectMgr_DataMapNodeOfDataMapOfSelectionActivation::SelectMgr_DataMapNodeOfDataMapOfSelectionActivation | ( | const Handle(SelectMgr_Selection)& | K,
|  | const Standard_Integer & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const SelectMgr_DataMapNodeOfDataMapOfSelectionActivation::Handle | ( | Standard_Type |  | ) | const

Handle_SelectMgr_Selection& SelectMgr_DataMapNodeOfDataMapOfSelectionActivation::Key | ( |  | ) | const

Standard_Integer& SelectMgr_DataMapNodeOfDataMapOfSelectionActivation::Value | ( |  | ) | const

## Field Documentation

Handle_SelectMgr_Selection SelectMgr_DataMapNodeOfDataMapOfSelectionActivation::myKey `[private]`

Standard_Integer SelectMgr_DataMapNodeOfDataMapOfSelectionActivation::myValue `[private]`

The documentation for this class was generated from the following file:

- SelectMgr_DataMapNodeOfDataMapOfSelectionActivation.hxx